GNU bug report logs - #50491
28.0.50; load-theme in early-init does not fully loads/enables expected faces

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Y. E." <yet@HIDDEN>; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50491-done <at> debbugs.gnu.org:


Received: (at 50491-done) by debbugs.gnu.org; 16 Sep 2021 12:41:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 08:41:19 2021
Received: from localhost ([127.0.0.1]:54080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQqhb-0004tI-Eq
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 08:41:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mQqhZ-0004t4-Fs
 for 50491-done <at> debbugs.gnu.org; Thu, 16 Sep 2021 08:41:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49678)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mQqhT-0007nU-Gv; Thu, 16 Sep 2021 08:41:12 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3024
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mQqhS-0002Gb-Ct; Thu, 16 Sep 2021 08:41:11 -0400
Date: Thu, 16 Sep 2021 15:41:07 +0300
Message-Id: <835yv0ae1o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Y. E. <yet@HIDDEN>
In-Reply-To: <m2zgse16l1.fsf@HIDDEN> (message from Y. E. on Wed, 15 Sep 2021
 13:22:34 +0300)
Subject: Re: [PATCH] Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
References: <m2zgse16l1.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50491-done
Cc: 50491-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Y. E. <yet@HIDDEN>
> Cc: yet@HIDDEN, 50491 <at> debbugs.gnu.org
> Date: Wed, 15 Sep 2021 13:22:34 +0300
> 
> Suggested changes:

Thanks, I installed a variant of this.

> Regardless of the changes, please let me know if the patch formatted/sent
> the way you'd normally would expect (prefer) it to be done.

The patch is formatted correctly, thanks.

> The patch itself seems got a whitespace added at the end of file,
> even though there's no such whitespace in the diff/commit I have locally.
> Is it expected behavior?

It doesn't matter, Git disregards that when applying the patch.




Notification sent to "Y. E." <yet@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 15 Sep 2021 10:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 06:22:42 2021
Received: from localhost ([127.0.0.1]:50954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQS3u-0003SA-Dg
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 06:22:42 -0400
Received: from out1.migadu.com ([91.121.223.63]:44509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1mQS3s-0003S0-0v
 for 50491 <at> debbugs.gnu.org; Wed, 15 Sep 2021 06:22:42 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631701358; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:in-reply-to:in-reply-to;
 bh=UvDhHMIqa3qiNGDpkG+H3NB6vFefOVciLNIPAUKTmMI=;
 b=kLqOQGeVqkKPaOHQlSH0F2Y/IfZOeW+OoamhDb61orXUpIoXnwlhiniFfCRYJtdFnJ5/Ow
 557ci3yhZi7OiKqqjpLB/uLPldZTvGcchbUOD4KPWOFm5DMDE4qebvmjyqUGfvUrWu+WrY
 82ydhZGziJki+ukQ6T8YPkeZRAFXHJM=
From: Y. E. <yet@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: [PATCH] Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
In-Reply-To: <838s02exp4.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 12
 Sep 2021 16:21:43 +0300)
Date: Wed, 15 Sep 2021 13:22:34 +0300
Message-ID: <m2zgse16l1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, yet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Y. E." <yet@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain


Suggested changes:

1.
> The early-init file is not meant to support every single
> customization of Emacs, only those that must be done before loading
> init.el.

Then I suggest replacing "desirable" with "necessary" or a similar word
with the meaning "cannot avoid".

2.
Optionally, consider adjusting the wording at the beginning of the second
paragraph.
It sounded perfect until the later commit 4118297ae2f added an intro phrase
(an extracted version of the second paragraph).
Current getting back to the same topic, after discussing another detail
in the mid, without reference to the already expressed idea breaks smooth
perception.

****
Regardless of the changes, please let me know if the patch formatted/sent
the way you'd normally would expect (prefer) it to be done.
I followed CONTRIBUTE guidelines (the file contains a lot of information,
so I might have missed something), used 'git format-patch', and sent
the patch as an attachment via Rmail ('C-c C-a').

Particularly:
The patch itself seems got a whitespace added at the end of file,
even though there's no such whitespace in the diff/commit I have locally.
Is it expected behavior?

Thank you.



--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-doc-emacs-custom.texi-Early-Init-Improve-wording-Bug.patch
Content-Description: ; * doc/emacs/custom.texi (Early Init): Improve wording (Bug#50491)

From 1821e64673e86565ab870bc4ff6f8d897c2ea2cf Mon Sep 17 00:00:00 2001
From: YE <yet@HIDDEN>
Date: Wed, 15 Sep 2021 12:23:15 +0300
Subject: [PATCH] ; * doc/emacs/custom.texi (Early Init): Improve wording
 (Bug#50491)

---
 doc/emacs/custom.texi | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/emacs/custom.texi b/doc/emacs/custom.texi
index 9220a2078f..564393e17e 100644
--- a/doc/emacs/custom.texi
+++ b/doc/emacs/custom.texi
@@ -2807,7 +2807,7 @@ Early Init File
 @cindex early init file
 
   Most customizations for Emacs should be put in the normal init file.
-@xref{Init File}.  However, it is sometimes desirable
+@xref{Init File}.  However, it is sometimes necessary
 to have customizations that take effect during Emacs startup earlier than the
 normal init file is processed.  Such customizations can be put in the early
 init file, @file{~/.config/emacs/early-init.el} or @file{~/.emacs.d/early-init.el}.  This file is loaded before the
@@ -2819,7 +2819,7 @@ Early Init File
 making already-installed packages available, may be customized in the regular
 init file.  @xref{Package Installation}.
 
-  We do not recommend that you move into @file{early-init.el}
+  We emphasize again, that it is not recommended to move into @file{early-init.el}
 customizations that can be left in the normal init files.  That is
 because the early init file is read before the GUI is initialized, so
 customizations related to GUI features will not work reliably in
-- 
2.30.0


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 14 Sep 2021 15:08:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 11:08:55 2021
Received: from localhost ([127.0.0.1]:49900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQA3K-00025y-Tv
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 11:08:55 -0400
Received: from out2.migadu.com ([188.165.223.204]:10469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1mQA3F-00025k-Hi
 for 50491 <at> debbugs.gnu.org; Tue, 14 Sep 2021 11:08:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631632127; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:in-reply-to:in-reply-to;
 bh=t6cpIorKYhZrwlRslaet6uI2qP3YgA0Ylt6C8vPa6hs=;
 b=hP59F7BLJL+y+bYueSjMj6pbpTUWfQwWix+VYeYsyt34zc6UblU9JJcf4fr/Ry5a2X2C5c
 b2SehJMT/x1w1d+ndimIvhYpn9RYnzX1NC+JC/+oECml/13TzdG5l1KRQZtC/YXE/8j7YP
 gtu3GvM81yqkZ22cLMXtMz8vtKkYVDY=
From: Y. E. <yet@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
In-Reply-To: <838s02exp4.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 12
 Sep 2021 16:21:43 +0300)
Date: Tue, 14 Sep 2021 18:08:42 +0300
Message-ID: <m27dfj42kl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Y. E." <yet@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you for the recommendations, Eli.

Please keep this report open for now.

I'd like to try writing/sending a patch with possible documentation
improvements based on some of the wonderfully formulated sentences you
responded with.

If I don't find (compose) better wording, I'll close this thread pretty soon.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 12 Sep 2021 13:22:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 12 09:22:06 2021
Received: from localhost ([127.0.0.1]:42251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPPQr-0000JX-OF
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 09:22:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mPPQm-0000Iy-U4
 for 50491 <at> debbugs.gnu.org; Sun, 12 Sep 2021 09:22:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58270)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mPPQh-0006wf-44; Sun, 12 Sep 2021 09:21:55 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3973
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mPPQg-0006e5-N8; Sun, 12 Sep 2021 09:21:55 -0400
Date: Sun, 12 Sep 2021 16:21:43 +0300
Message-Id: <838s02exp4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Y. E. <yet@HIDDEN>
In-Reply-To: <m2ilz6c58n.fsf@HIDDEN> (message from Y. E. on Sun, 12 Sep 2021
 16:07:04 +0300)
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
References: <m2ilz6c58n.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Y. E. <yet@HIDDEN>
> Cc: 50491 <at> debbugs.gnu.org, monnier@HIDDEN
> Date: Sun, 12 Sep 2021 16:07:04 +0300
> 
> > That could mean any number of things, and it is unreasonable to start
> > listing them, because the list will very quickly become outdated, aswe
> > add/change stuff in Emacs.
> 
> I totally agree.
> That's why I optionally suggested the removal of the phrase
> "frame appearance as well as" when listed possible improvements
> for this documentation page.

But that phrase isn't incorrect: some of the parameters _can_ be set
in the early-init file.  I'm just saying don't do that unless you
really have to, i.e. unless having it in the init files completely
doesn't work.

> For example, moving `initial-frame-alist' out of early-init
> leads to the geometry and font of the initial frame being changed during startup
> (it loads as a small frame first, then expands according to my settings),
> which is an aesthetically unpleasant behavior.

"Aesthetically unpleasant" is not a reason to move stuff into
early-init.  What you see is startup.el in action: it detects that
display parameters have changed, and it applies them.

> Also, while moving all the settings out of the early-init file,
> I reproduced the white-background-blinking on Emacs startup
> mentioned before
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50491#14

Same thing: as long as it works, leave it alone.

> The more lines of code are loaded between the calls of
> `scroll-bar-mode' and `load-theme', the longer I see Emacs loading with
> the white background (instead of seeing the theme's background).

That's the expected and the correct behavior.  By contrast, moving
this stuff to early-init will bite you eventually.  I don't recommend
it, and I don't see any bug here that needs to be fixed.

> One of the following fixes the issue:
> - Place `(scroll-bar-mode -1)' *after* the (load-theme 'misterioso t) line.
> - Put `(scroll-bar-mode -1)' to the early-init.el file.

My recommendation is to use the former.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 12 Sep 2021 13:07:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 12 09:07:13 2021
Received: from localhost ([127.0.0.1]:42246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPPCT-0008Nl-7u
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 09:07:13 -0400
Received: from out1.migadu.com ([91.121.223.63]:59180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1mPPCO-0008NX-94
 for 50491 <at> debbugs.gnu.org; Sun, 12 Sep 2021 09:07:12 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631452026; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:  in-reply-to:in-reply-to; 
 bh=7KrofaYX4BTUxKB9T5uSL7JoroUXuNH9N1tZiiYt7Yk=;
 b=dfmIjPogKuM6Wza21gXZFox/MRJb2tiFGqXItSNm24vut7Sgh298/QY9IBtNSlEbPOyiB+
 WXH//k89mFQoJpuHtEDu40Uc1maMcWFwECpAAu0RBrBgrRUaTFLOjy8gj2yx1Utug8LGOg
 zUCL+JNJSY2rP6T5zOyUtaj3nf9XeCU=
From: Y. E. <yet@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
In-Reply-To: <83h7ergpb2.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 11
 Sep 2021 17:27:45 +0300)
Date: Sun, 12 Sep 2021 16:07:04 +0300
Message-ID: <m2ilz6c58n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Y. E." <yet@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > > We already say there:
> >
> > >      We do not recommend that you move into =E2=80=98early-init.el=E2=
=80=99 customizations
> > >   that can be left in the normal init files.  That is because the ear=
ly
> > > ...
> >
> > > So it seems we already warn there against moving initializations to
> > > early-init.el that can be left in init.el.  I see no reason to have a
> > > more detailed warning.
> >
> > That's right, I'm fine with that part.
> > What confuses me is the phrase "frame appearance".

> That could mean any number of things, and it is unreasonable to start
> listing them, because the list will very quickly become outdated, aswe
> add/change stuff in Emacs.

I totally agree.
That's why I optionally suggested the removal of the phrase
"frame appearance as well as" when listed possible improvements
for this documentation page.

Unless there's an exact reason to keep the phrase which, seems,
contradicts (or is an exception) to the rest of the documentation,
starting with "We do not recommend that you move into early-init...".

If "frame appearance" *is* an exception, then clarification
would still be a preferred approach in my opinion.

I CC'd Stefan Monnier whose commit added that phrase to
`(emacs) 49.4.6 The Early Init File', so might be he'd be able to
shed some light on it.

> > It makes me guess if probably any of the documented
> > `(elisp) 30.4 Frame Parameters' variables could be added
> > to the early-init file quite "safely"?

> I don't know, but why would you need to do that in early-init?
> AFAIR,
> startup.el already has all the necessary smarts to DTRT when the
> user's init file changes frame parameters, so you shouldn't need to
> move that into early-init file.  If you have specific problems with
> changing them in the normal init files, please tell the details.

*1st Case*
For example, moving `initial-frame-alist' out of early-init
leads to the geometry and font of the initial frame being changed during st=
artup
(it loads as a small frame first, then expands according to my settings),
which is an aesthetically unpleasant behavior.

The expression I use:

(setq initial-frame-alist
      `((top . 0.0)
        (left . 0.0)
        (width . 0.52)
        (height . 1.0)
        (font . ,os-font))) ; f.i. "Monaco-17"

*2nd Case*
Also, while moving all the settings out of the early-init file,
I reproduced the white-background-blinking on Emacs startup
mentioned before
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50491#14

Namely,
> I used to see "blinking" (white background showing up for
> a second before a dark theme load) on Emacs startup with the theme
> loaded/enabled in init.el.

To reproduce this behavior I put `(scroll-bar-mode -1)' at the first line
of the init.el file, then load few small configuration files,
then load a small file with the line (load-theme 'misterioso t).

The more lines of code are loaded between the calls of
`scroll-bar-mode' and `load-theme', the longer I see Emacs loading with
the white background (instead of seeing the theme's background).

One of the following fixes the issue:
- Place `(scroll-bar-mode -1)' *after* the (load-theme 'misterioso t) line.
- Put `(scroll-bar-mode -1)' to the early-init.el file.


Thanks.
YE





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 11 Sep 2021 14:28:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 11 10:28:10 2021
Received: from localhost ([127.0.0.1]:41197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mP3zF-0003SL-OM
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 10:28:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mP3zD-0003S4-QU
 for 50491 <at> debbugs.gnu.org; Sat, 11 Sep 2021 10:28:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34772)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mP3z6-0007iu-Ik; Sat, 11 Sep 2021 10:28:01 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2315
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mP3z5-0000Pn-Ou; Sat, 11 Sep 2021 10:28:00 -0400
Date: Sat, 11 Sep 2021 17:27:45 +0300
Message-Id: <83h7ergpb2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: yet@HIDDEN
In-Reply-To: <m2ee9vnqji.fsf@HIDDEN> (yet@HIDDEN)
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
References: <m2ee9vnqji.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: yet@HIDDEN
> Cc: 50491 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
> Date: Sat, 11 Sep 2021 17:19:13 +0300
> 
> 
> > We already say there:
> 
> >      We do not recommend that you move into ‘early-init.el’ customizations
> >   that can be left in the normal init files.  That is because the early
> > ...
> 
> > So it seems we already warn there against moving initializations to
> > early-init.el that can be left in init.el.  I see no reason to have a
> > more detailed warning.
> 
> That's right, I'm fine with that part.
> What confuses me is the phrase "frame appearance".

That could mean any number of things, and it is unreasonable to start
listing them, because the list will very quickly become outdated, aswe
add/change stuff in Emacs.

> It makes me guess if probably any of the documented
> `(elisp) 30.4 Frame Parameters' variables could be added
> to the early-init file quite "safely"?

I don't know, but why would you need to do that in early-init?  AFAIR,
startup.el already has all the necessary smarts to DTRT when the
user's init file changes frame parameters, so you shouldn't need to
move that into early-init file.  If you have specific problems with
changing them in the normal init files, please tell the details.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 11 Sep 2021 14:19:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 11 10:19:21 2021
Received: from localhost ([127.0.0.1]:41191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mP3qi-0003E4-S5
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 10:19:21 -0400
Received: from out2.migadu.com ([188.165.223.204]:29732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1mP3qf-0003Ds-RM
 for 50491 <at> debbugs.gnu.org; Sat, 11 Sep 2021 10:19:20 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631369955; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:  in-reply-to:in-reply-to; 
 bh=YkGomIwMNo7zdqVFklS/3Cy6ykeuxSe+XclFMZa2/+o=;
 b=ngidevA3L0AGxcN8yI/6wjRP6eyq3bE9yaMHLIThQIB37bpkDOPN1zvWSwu6WHHt0GfM4l
 7bjHLrT6fnsXhKY2OgmZscIetFwCYaAB8AXFHPbo4J4i2o1NUAkI2YvZHefsZDA9FsraIh
 M9fgZSXmBH9yuQz5Gvwmye5KkgN1u9I=
From: yet@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
In-Reply-To: <834kasi9yt.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 10
 Sep 2021 21:03:54 +0300)
Date: Sat, 11 Sep 2021 17:19:13 +0300
Message-ID: <m2ee9vnqji.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: yet@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> We already say there:

>      We do not recommend that you move into =E2=80=98early-init.el=E2=80=
=99 customizations
>   that can be left in the normal init files.  That is because the early
> ...

> So it seems we already warn there against moving initializations to
> early-init.el that can be left in init.el.  I see no reason to have a
> more detailed warning.

That's right, I'm fine with that part.
What confuses me is the phrase "frame appearance".
(The concerns I have/had were described in more detail in my previous
email.)

It makes me guess if probably any of the documented
`(elisp) 30.4 Frame Parameters' variables could be added
to the early-init file quite "safely"?

[I took a look at the commit 6dfdf0c9e8e that added that phrase but,
unfortunately, it didn't answer my question.]

Thank you.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 10 Sep 2021 18:04:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 14:04:19 2021
Received: from localhost ([127.0.0.1]:39187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOkss-0008VO-Nj
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 14:04:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOksp-0008V9-LU
 for 50491 <at> debbugs.gnu.org; Fri, 10 Sep 2021 14:04:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56770)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOksj-0002cA-B3; Fri, 10 Sep 2021 14:04:09 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2179
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOksi-0004H1-UZ; Fri, 10 Sep 2021 14:04:09 -0400
Date: Fri, 10 Sep 2021 21:03:54 +0300
Message-Id: <834kasi9yt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: yet@HIDDEN
In-Reply-To: <m2sfyc1jdj.fsf@HIDDEN> (yet@HIDDEN)
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
References: <m2sfyc1jdj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: yet@HIDDEN
> Cc: yet@HIDDEN, 50491 <at> debbugs.gnu.org
> Date: Fri, 10 Sep 2021 19:32:40 +0300
> 
> > I'm not sure this is feasible in practice.  The general advice is not
> > to customize in early-init stuff that can be customized in init.el.
> > Any more detailed description runs the risk of describing side-effects
> > of implementation details, which are therefore "subject to change
> > without notice".
> 
> Yes, I understand.
> 
> Let's look at it at a bit different angle then,
> to make sure there's really nothing to change in the documentation:
> 
> The documentation page 49.4.6 mentions that in early-init.el
> we can customize two things:
> 1. "frame appearance".
> 2. "package initialization process".
> 
> After that, documentation goes into details on which exactly variables
> can (for example) be customized for the goal of "package initialization
> process". (4 variables are mentioned.)
> 
> Then it is said that "GUI features will not work reliably in early-init",
> which leaves in me (then, potentially, in somebody else too) a cognitive
> dis-balance (confusion), by contrasting with the phrase "frame appearance"
> from the previous paragraph.
> 
> So I suggest considering (one of) the following changes:
> 
> - Clarify what "frame appearance" means (to distinguish from - probably
> more abstract - term "GUI").
> 
> - Change word "appearance" to whatever is appropriate but doesn't
> cause "GUI" connotations.
> 
> - Maybe provide a couple of example variables for "frame appearance",
> similar to "package initialization process" examples. (If possible, of course).
>   - My own assumption was I could "safely" use `default-frame-alist' and
>   `initial-frame-alist' in early-init, but now I'm not sure.
> 
> - Or even remove "frame appearance" mentioning if it shouldn't be there
> due to the reasoning given in the previous email (cited above).
> 
> - Maybe list all the variables that are surely supported and say more
> definitively that anything not on that list are "subject to change
> without notice".

We already say there:

     We do not recommend that you move into ‘early-init.el’ customizations
  that can be left in the normal init files.  That is because the early
  init file is read before the GUI is initialized, so customizations
  related to GUI features will not work reliably in ‘early-init.el’.  By
  contrast, the normal init files are read after the GUI is initialized.
  If you must have customizations in the early init file that rely on GUI
  features, make them run off hooks provided by the Emacs startup, such as
  ‘window-setup-hook’ or ‘tty-setup-hook’.  *Note Hooks::.

So it seems we already warn there against moving initializations to
early-init.el that can be left in init.el.  I see no reason to have a
more detailed warning.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 10 Sep 2021 16:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 12:32:49 2021
Received: from localhost ([127.0.0.1]:39097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOjSK-0005vi-PK
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:32:49 -0400
Received: from out0.migadu.com ([94.23.1.103]:14867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1mOjSH-0005vK-Iq
 for 50491 <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:32:47 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631291563; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:  in-reply-to:in-reply-to; 
 bh=Sa117FaHjVPDwdYxJQCDp+nmPAdRVHzDDDlwbqcLaR8=;
 b=ZCsLm2N8T4zjjdaKPlfat/XE3iM2J836w2z5PL0hUyKnUCKC08E8KcKaJujZp4f5GoAn18
 Tt81P2jb9JJ4t6fyZs6luyz1HUgO0mfIkYRhBVudb4fdagxphdtJyKR0CY/faBq7X6aCF7
 8w2t6v9J6pzoGIK3t2HMyex5OKtMg9g=
From: yet@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
In-Reply-To: <83sfycitpd.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 10
 Sep 2021 13:57:34 +0300)
Date: Fri, 10 Sep 2021 19:32:40 +0300
Message-ID: <m2sfyc1jdj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, yet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: yet@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> > `(emacs)49.4.6 The Early Init File' says:
> > "you can customize variables that affect frame appearance"
> > and
> > "customizations related to GUI features will not work reliably"
> >
> > "frame appearance" and "GUI features" to my _na=D1=97ve_ eyes _seem_
> > a bit contradictory.
> > Could probably documentation be clarified saying more on what exactly
> > is (not)supported in the early-init file?

> I'm not sure this is feasible in practice.  The general advice is not
> to customize in early-init stuff that can be customized in init.el.
> Any more detailed description runs the risk of describing side-effects
> of implementation details, which are therefore "subject to change
> without notice".

Yes, I understand.

Let's look at it at a bit different angle then,
to make sure there's really nothing to change in the documentation:

The documentation page 49.4.6 mentions that in early-init.el
we can customize two things:
1. "frame appearance".
2. "package initialization process".

After that, documentation goes into details on which exactly variables
can (for example) be customized for the goal of "package initialization
process". (4 variables are mentioned.)

Then it is said that "GUI features will not work reliably in early-init",
which leaves in me (then, potentially, in somebody else too) a cognitive
dis-balance (confusion), by contrasting with the phrase "frame appearance"
from the previous paragraph.

So I suggest considering (one of) the following changes:

- Clarify what "frame appearance" means (to distinguish from - probably
more abstract - term "GUI").

- Change word "appearance" to whatever is appropriate but doesn't
cause "GUI" connotations.

- Maybe provide a couple of example variables for "frame appearance",
similar to "package initialization process" examples. (If possible, of cour=
se).
  - My own assumption was I could "safely" use `default-frame-alist' and
  `initial-frame-alist' in early-init, but now I'm not sure.

- Or even remove "frame appearance" mentioning if it shouldn't be there
due to the reasoning given in the previous email (cited above).

- Maybe list all the variables that are surely supported and say more
definitively that anything not on that list are "subject to change
without notice".


Thank you for your work and for looking into it.

YE





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 10 Sep 2021 12:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 08:01:12 2021
Received: from localhost ([127.0.0.1]:37139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOfDT-0004li-KU
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 08:01:12 -0400
Received: from out0.migadu.com ([94.23.1.103]:59553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yuga@HIDDEN>) id 1mOdm8-00084h-Ug
 for 50491 <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:28:55 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631269731;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:  in-reply-to:in-reply-to; 
 bh=gusstipHISoZHLgj0iKDnzqWn7Be1wh11a1rgylTIZE=;
 b=jUoQF5mHbHrzXmfl4LMDZTIwSgsuwmkVh17DwDhk3Cip/et6mECiVnUgT9pwadhJ/Mi+gE
 UpkOStkZ+2hBf7VPoG8qdnpUDZZ75ETPyN+u08ssnMqd0iczMhszfzBaTEuNYJU+3WAfab
 UtVcoSvdYbagvK3CQ2PcbOH46bbOFX0=
From: "Y. E." <yuga@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
In-Reply-To: <83fsudj7rl.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 10
 Sep 2021 08:53:50 +0300)
Date: Fri, 10 Sep 2021 13:28:49 +0300
Message-ID: <m235qcg1we.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50491
X-Mailman-Approved-At: Fri, 10 Sep 2021 08:01:08 -0400
Cc: 50491 <at> debbugs.gnu.org, yet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Eli,

> If you load themes only in init.el, once, without loading them in
> early-init.el, does the problem go away?

It is now, though I used to see "blinking" (white background showing up for
a second before a dark theme load) on Emacs startup with the theme
loaded/enabled in init.el.
Probably I saw it on one of the previously compiled Emacs versions.

> The early-init file is not meant to support every single
> customization of Emacs, only those that must be done before loading
> init.el.

Sure. I thought it might be a bug because a theme used to be loaded
correctly from early-init.el up until some (past) moment.

One question though.
`(emacs)49.4.6 The Early Init File' says:
"you can customize variables that affect frame appearance"
and
"customizations related to GUI features will not work reliably"

"frame appearance" and "GUI features" to my _na=D1=97ve_ eyes _seem_
a bit contradictory.
Could probably documentation be clarified saying more on what exactly
is (not)supported in the early-init file?

For instance, which of these expressions are fine to be early-loaded:
`default-frame-alist', `initial-frame-alist', `inhibit-startup-message',
`initial-scratch-message', `scroll-bar-mode', `tool-bar-mode'?


> So if this works in init.el, then there's no bug here.

I'm fine with that since it works for me now with init.el.


Thank you,
YE





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 10 Sep 2021 10:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 06:57:59 2021
Received: from localhost ([127.0.0.1]:36992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOeEI-0002jB-S7
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:57:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOeEH-0002ix-A4
 for 50491 <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:57:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54776)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOeEA-0001IN-Ng; Fri, 10 Sep 2021 06:57:50 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2833
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOeEA-000707-A0; Fri, 10 Sep 2021 06:57:50 -0400
Date: Fri, 10 Sep 2021 13:57:34 +0300
Message-Id: <83sfycitpd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Y. E." <yuga@HIDDEN>
In-Reply-To: <m235qcg1we.fsf@HIDDEN> (yuga@HIDDEN)
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
References: <m235qcg1we.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org, yet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Y. E." <yuga@HIDDEN>
> Cc: yet@HIDDEN, 50491 <at> debbugs.gnu.org
> Date: Fri, 10 Sep 2021 13:28:49 +0300
> 
> One question though.
> `(emacs)49.4.6 The Early Init File' says:
> "you can customize variables that affect frame appearance"
> and
> "customizations related to GUI features will not work reliably"
> 
> "frame appearance" and "GUI features" to my _naїve_ eyes _seem_
> a bit contradictory.
> Could probably documentation be clarified saying more on what exactly
> is (not)supported in the early-init file?

I'm not sure this is feasible in practice.  The general advice is not
to customize in early-init stuff that can be customized in init.el.
Any more detailed description runs the risk of describing side-effects
of implementation details, which are therefore "subject to change
without notice".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at 50491 <at> debbugs.gnu.org:


Received: (at 50491) by debbugs.gnu.org; 10 Sep 2021 05:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 01:54:15 2021
Received: from localhost ([127.0.0.1]:36713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOZUN-0000Ts-H3
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 01:54:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOZUM-0000Td-9j
 for 50491 <at> debbugs.gnu.org; Fri, 10 Sep 2021 01:54:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33294)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOZUG-000090-8c; Fri, 10 Sep 2021 01:54:08 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3937
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOZUF-0007In-Ri; Fri, 10 Sep 2021 01:54:08 -0400
Date: Fri, 10 Sep 2021 08:53:50 +0300
Message-Id: <83fsudj7rl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Y. E." <yet@HIDDEN>
In-Reply-To: <m2o8917e1h.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#50491: 28.0.50;
 load-theme in early-init does not fully loads/enables expected faces
References: <m2o8917e1h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50491
Cc: 50491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 09 Sep 2021 22:19:06 +0300
> From:  "Y. E." via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> I've been using (load-theme 'misterioso t) in early-init.el successfully
> up until around one month ago. After that, I had to start calling load-theme
> for the second time in init.el to fix appearance of wrong faces.

If you load themes only in init.el, once, without loading them in
early-init.el, does the problem go away?

The early-init file is not meant to support every single
customization of Emacs, only those that must be done before loading
init.el.  So if this works in init.el, then there's no bug here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Sep 2021 19:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 15:35:02 2021
Received: from localhost ([127.0.0.1]:36297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOPp7-00061t-FX
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 15:35:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:60082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1mOPZq-0005du-4U
 for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 15:19:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34626)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yet@HIDDEN>) id 1mOPZp-0007Zg-VQ
 for bug-gnu-emacs@HIDDEN; Thu, 09 Sep 2021 15:19:13 -0400
Received: from out2.migadu.com ([2001:41d0:2:aacc::]:57394)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yet@HIDDEN>) id 1mOPZn-0003bE-3L
 for bug-gnu-emacs@HIDDEN; Thu, 09 Sep 2021 15:19:13 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1631215147;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=gWNuqFiN+7hsPH8bq/LHen2gl/cw45EXyuOl8c2C9/k=;
 b=E4VKrVJTwbiUHfjnnyOYoZx7haYPFlXALLPT9X+qk9e7bmA0kE9TmceeQLZKrpFDoeoV+W
 7+FvcGqqGC/fLl93c1nCtPP/mXO/U9OwPmeKXcxpDqC6uNnDYvdQ66pFbOpEY1WKPupFEd
 o3EgohWBQ2mrm3nrer9KlnM6/UYEx9A=
From: "Y. E." <yet@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; load-theme in early-init does not fully loads/enables
 expected faces
Date: Thu, 09 Sep 2021 22:19:06 +0300
Message-ID: <m2o8917e1h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: yuga@HIDDEN
Received-SPF: pass client-ip=2001:41d0:2:aacc::; envelope-from=yet@HIDDEN;
 helo=out2.migadu.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 09 Sep 2021 15:35:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

I've been using (load-theme 'misterioso t) in early-init.el successfully
up until around one month ago. After that, I had to start calling load-theme
for the second time in init.el to fix appearance of wrong faces.

**How to Reproduce**

1. Backup `~/.emacs.d/'.
2. Create `~/.emacs.d/early-init.el' with `(load-theme 'misterioso t)' in it.
3. Start Emacs.
4. Run `M-x list-faces-display`.
5. Make new frame `C-x 5 2'.
6. Run `M-x list-faces-display' in the second frame.
7. Compare `*Faces*' buffer contents in the first and the second frames.
   - The correct 'misterioso theme faces are shown in the second buffer.
   - For example, compare `completions-common-part'.

Then go back to the first frame and run/evaluate `(load-theme 'misterioso)'.
The faces are going to be fixed in the first frame after that.

It _seems_ to me the issue _might be_ caused by the interference of the "user theme"
mentioned in `(emacs) 49.1.8 Creating Custom Themes'.
[This insinuation was caused by seeing `user' theme as one of the options
on `M-x enable-theme' with `fido-mode' enabled,
which, supposedly, might be a bug on its own.]

Thank you.

In GNU Emacs 28.0.50 (build 11, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G9216))
 of 2021-09-05 built on local
Repository revision: 3d0276e98bd2e31c45592def9f53da031a1ae277
Repository branch: master

Configured using:
 'configure LDFLAGS=-L/usr/local/opt/flex/lib
 CPPFLAGS=-I/usr/local/opt/flex/include'

Configured features:
ACL GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER
PNG THREADS TIFF TOOLKIT_SCROLL_BARS ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  flyspell-mode: t
  windmove-mode: t
  global-goto-address-mode: t
  goto-address-mode: t
  company-mode: t
  icomplete-mode: t
  fido-mode: t
  savehist-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  electric-pair-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t

Load-path shadows:
None found.

Features:
(shadow sort display-fill-column-indicator mail-extr emacsbug
flymake-proc flymake compile warnings flyspell ol-eww eww xdg url-queue
mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect gnus-search
eieio-opt cl-extra help-mode speedbar ezimage dframe gnus-art mm-uu
mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom
gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo parse-time gnus-spec gnus-int
gnus-range gnus-win gnus nnheader ol-docview doc-view jka-compr
image-mode exif ol-bibtex bibtex iso8601 ol-bbdb ol-w3m windmove
cus-edit cus-load wid-edit bookmark pp vc-git diff-mode vc-dispatcher
goto-addr thingatpt ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-element avl-tree
generator whitespace company-dabbrev-code company-dabbrev company pcase
smtpmail sendmail rmailout rmailmm message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived gnus-util text-property-search mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
rmailsum rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete comint
ansi-color ring org-list org-faces org-entities time-date noutline
outline easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table
ol org-keys org-compat advice org-macs org-loaddefs format-spec
find-func cal-menu calendar cal-loaddefs icomplete ido savehist
minibuf-eldef desktop frameset ispell rx epg rfc6068 epg-config delsel
hi-lock elec-pair paren autorevert filenotify edmacro kmacro info
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib misterioso-theme iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch easymenu timer select scroll-bar
mouse jit-lock font-lock syntax font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face macroexp files window text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 273685 17345)
 (symbols 48 26762 3)
 (strings 32 94932 6500)
 (string-bytes 1 3122713)
 (vectors 16 49630)
 (vector-slots 8 526459 11142)
 (floats 8 307 553)
 (intervals 56 469 88)
 (buffers 992 13))




Acknowledgement sent to "Y. E." <yet@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50491; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Sep 2021 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.